%global momorel 7
Summary: Open Phone Abstraction Library
Name: opal
Version: 2.2.11
Release: %{momorel}m%{?dist}
URL: http://www.ekiga.org/
License: MPL
Source0: http://ftp.gnome.org/pub/gnome/sources/opal/2.2/%{name}-%{version}.tar.bz2 
NoSource: 0
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pwlib-devel >= 1.10.10
Requires: pwlib >= 1.10.10
Requires: openldap
BuildPreReq: openssl-devel >= 0.9.8b
BuildPreReq: SDL-devel
BuildPreReq: openldap >= 2.4.0
Obsoletes: openh323 openh323gk

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library.

%package devel
Summary: Development package for opal
Group: Development/Libraries
Requires: opal = %{version}
Requires: pwlib-devel >= 1.10.10
Obsoletes: openh323-devel

%description devel
Static libraries and header files for development with opal.

%prep
%setup -q

%build
%configure --enable-localspeex
%make optshared 

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}/%{_datadir}/opal/opal_inc.mak

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc  mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_datadir}/opal
%{_libdir}/*.so

%changelog
* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.11-7m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.11-6m)
- rebuild against gcc43

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.11-5m)
- rebuild against openldap-2.4.8

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.11-4m)
- %%NoSource -> NoSource

* Wed Oct 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.11-3m)
- update to 2.2.11
- [SECURITY] CVE-2007-4924
- merge changelog only

* Fri Sep 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.11-2m)
- make devel package

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.11-1m)
- update to 2.2.11

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.8-1m)
- update to 2.2.8

* Mon Mar 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.6-1m)
- update to 2.2.6

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.5-1m)
- update to 2.2.5

* Mon Jan 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.4-1m)
- update to 2.2.4

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.3-1m)
- update to 2.2.3

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Fri Mar  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.3-1m)
- version up

* Wed Jan 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.2-1m)
- Sart
